<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>lib.sell.ware.all.ships</name>
<version>0</version>
<engineversion>25</engineversion>
<description>Description</description>
<arguments>
<argument index="1" name="ware" type="Var/Ware" desc="ware" />
<argument index="2" name="amount" type="Var/Number" desc="amount" />
<argument index="3" name="price" type="Var/Number" desc="Price" />
<argument index="4" name="Logging" type="Var/Number" desc="Logging" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><var>skip&#160;if&#160;</var><var>[DOCKEDAT]</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>[HOMEBASE]</var></line>
<line linenr="002" indent="&#160;"><text>return&#160;</text><var>0</var></line>
<line linenr="003" indent=""><var>skip&#160;if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;can&#160;transport&#160;ware&#160;</text><var>$ware</var></line>
<line linenr="004" indent="&#160;"><text>return&#160;</text><var>0</var></line>
<line linenr="005" indent=""><var>$owner&#160;=&#160;</var><var>[DOCKEDAT]&#160;-&gt;</var><text>&#160;get&#160;owner&#160;race</text></line>
<line linenr="006" indent=""><var>skip&#160;if&#160;</var><var>$owner</var><text>&#160;</text><var>==</var><text>&#160;</text><var>[OWNER]</var></line>
<line linenr="007" indent="&#160;"><text>return&#160;</text><var>0</var></line>
<line linenr="008" indent=""></line>
<line linenr="009" indent=""><var>$true.amount&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;true&#160;amount&#160;of&#160;ware&#160;</text><var>$ware</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="010" indent=""><var>skip&#160;if&#160;</var><var>$true.amount</var><text>&#160;</text><var>&lt;=</var><text>&#160;</text><var>$amount</var></line>
<line linenr="011" indent="&#160;"><var>$true.amount&#160;=&#160;</var><var>$amount</var></line>
<line linenr="012" indent=""><var>$free.amount&#160;=&#160;</var><var>[DOCKEDAT]&#160;-&gt;</var><text>&#160;get&#160;free&#160;amount&#160;of&#160;ware&#160;</text><var>$ware</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="013" indent=""><var>skip&#160;if&#160;</var><var>$free.amount</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>$true.amount</var></line>
<line linenr="014" indent="&#160;"><var>$true.amount&#160;=&#160;</var><var>$free.amount</var></line>
<line linenr="015" indent=""><var>=&#160;</var><var>[DOCKEDAT]&#160;-&gt;</var><text>&#160;add&#160;</text><var>$true.amount</var><text>&#160;units&#160;of&#160;</text><var>$ware</var></line>
<line linenr="016" indent=""><var>$true.amount&#160;=&#160;</var><var>-</var><text>&#160;</text><var>$true.amount</var></line>
<line linenr="017" indent=""><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;add&#160;</text><var>$true.amount</var><text>&#160;units&#160;of&#160;</text><var>$ware</var></line>
<line linenr="018" indent=""><var>$money.transfer&#160;=&#160;</var><var>$true.amount</var><text>&#160;</text><var>*</var><text>&#160;</text><var>$price</var></line>
<line linenr="019" indent=""><var>$true.amount&#160;=&#160;</var><var>-</var><text>&#160;</text><var>$true.amount</var></line>
<line linenr="020" indent=""></line>
<line linenr="021" indent=""><var>if&#160;not&#160;</var><var>[HOMEBASE]</var><text>&#160;</text><var>==</var><text>&#160;</text><var>[DOCKEDAT]</var></line>
<line linenr="022" indent="&#160;"><var>$station.money&#160;=&#160;</var><var>[DOCKEDAT]&#160;-&gt;</var><text>&#160;get&#160;money</text></line>
<line linenr="023" indent="&#160;"><var>skip&#160;if&#160;</var><var>$station.money</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>$money.transfer</var></line>
<line linenr="024" indent="&#160;&#160;"><var>$money.transfer&#160;=&#160;</var><var>$station.money</var></line>
<line linenr="025" indent="&#160;"><var>[DOCKEDAT]&#160;-&gt;</var><text>&#160;add&#160;money:&#160;</text><var>$money.transfer</var></line>
<line linenr="026" indent="&#160;"><var>$money.transfer&#160;=&#160;</var><var>-</var><text>&#160;</text><var>$money.transfer</var></line>
<line linenr="027" indent="&#160;"><var>[HOMEBASE]&#160;-&gt;</var><text>&#160;add&#160;money:&#160;</text><var>$money.transfer</var></line>
<line linenr="028" indent=""><text>else</text></line>
<line linenr="029" indent="&#160;"><var>$price&#160;=&#160;</var><var>0</var></line>
<line linenr="030" indent="&#160;"><var>$money.transfer&#160;=&#160;</var><var>0</var></line>
<line linenr="031" indent=""><text>end</text></line>
<line linenr="032" indent=""></line>
<line linenr="033" indent=""><var>$Logging&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;local&#160;variable:&#160;name=</text><var>'ext.logging'</var></line>
<line linenr="034" indent=""><var>if&#160;</var><var>$Logging</var></line>
<line linenr="035" interruptable="@" indent="&#160;"><var>$log&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>lib.sprintf.format.gametime</call><text>&#160;:&#160;</text><text>&#160;Page-Id=</text><var>1500</var><text>&#160;</text><text>&#160;Text-Id=</text><var>206</var></line>
<line linenr="036" indent="&#160;"><var>$tmp&#160;=&#160;</var><text>sprintf:&#160;pageid=</text><var>1500</var><text>&#160;textid=</text><var>211</var><text>,&#160;</text><var>[THIS]</var><text>,&#160;</text><var>0</var><text>,&#160;</text><var>$ware</var><text>,&#160;</text><var>[DOCKEDAT]</var><text>,&#160;</text><var>0</var></line>
<line linenr="037" indent="&#160;"><var>$log&#160;=&#160;</var><var>$log</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$tmp</var></line>
<line linenr="038" indent="&#160;"><var>$tmp&#160;=&#160;</var><text>sprintf:&#160;pageid=</text><var>1500</var><text>&#160;textid=</text><var>213</var><text>,&#160;</text><var>$true.amount</var><text>,&#160;</text><var>[DOCKEDAT]</var><text>,&#160;</text><var>$price</var><text>,&#160;</text><var>0</var><text>,&#160;</text><var>0</var></line>
<line linenr="039" indent="&#160;"><var>$log&#160;=&#160;</var><var>$log</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$tmp</var></line>
<line linenr="040" indent="&#160;"><text>write&#160;to&#160;log&#160;file&#160;#</text><var>$Logging</var><text>&#160;&#160;append=</text><var>[TRUE]</var><text>&#160;&#160;value=</text><var>$log</var></line>
<line linenr="041" indent=""><text>end</text></line>
<line linenr="042" indent=""></line>
<line linenr="043" indent=""><text>return&#160;</text><var>$true.amount</var></line>
<line linenr="044" indent=""></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="lib.sell.ware.all.ships" /><sval type="int" val="25" /><sval type="string" val="Description" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="array" size="11"><sval type="string" val="ware" /><sval type="string" val="amount" /><sval type="string" val="price" /><sval type="string" val="Logging" /><sval type="string" val="owner" /><sval type="string" val="true.amount" /><sval type="string" val="free.amount" /><sval type="string" val="money.transfer" /><sval type="string" val="station.money" /><sval type="string" val="log" /><sval type="string" val="tmp" /></sval><sval type="array" size="37"><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536870393" /><sval type="int" val="3" /><sval type="int" val="131075" /><sval type="int" val="65547" /><sval type="int" val="131075" /><sval type="int" val="65540" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="9" /><sval type="int" val="-2" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="6"><sval type="int" val="617" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-536869881" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="701" /><sval type="int" val="131075" /><sval type="int" val="65547" /><sval type="int" val="4" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536869113" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131075" /><sval type="int" val="7" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="6"><sval type="int" val="619" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536868345" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="5" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="5" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="620" /><sval type="int" val="131075" /><sval type="int" val="65547" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536867577" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="4" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131075" /><sval type="int" val="65547" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="10"><sval type="int" val="104" /><sval type="int" val="5" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="15" /><sval type="int" val="65555" /><sval type="int" val="2" /><sval type="int" val="65555" /><sval type="int" val="-1" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="7" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="13" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="13" /><sval type="int" val="-2" /></sval><sval type="array" size="10"><sval type="int" val="104" /><sval type="int" val="5" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="15" /><sval type="int" val="65555" /><sval type="int" val="2" /><sval type="int" val="65555" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536864252" /><sval type="int" val="3" /><sval type="int" val="131075" /><sval type="int" val="65540" /><sval type="int" val="131075" /><sval type="int" val="65547" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="600" /><sval type="int" val="131075" /><sval type="int" val="65547" /><sval type="int" val="8" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536865273" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="4" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="7" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="5"><sval type="int" val="661" /><sval type="int" val="131075" /><sval type="int" val="65547" /><sval type="int" val="131074" /><sval type="int" val="7" /></sval><sval type="array" size="10"><sval type="int" val="104" /><sval type="int" val="7" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="15" /><sval type="int" val="65555" /><sval type="int" val="2" /><sval type="int" val="65555" /><sval type="int" val="-1" /></sval><sval type="array" size="5"><sval type="int" val="661" /><sval type="int" val="131075" /><sval type="int" val="65540" /><sval type="int" val="131074" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="28" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="7" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="156" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="string" val="ext.logging" /><sval type="int" val="3" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610603517" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="lib.sprintf.format.gametime" /><sval type="int" val="9" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="1500" /><sval type="int" val="4" /><sval type="int" val="206" /></sval><sval type="array" size="16"><sval type="int" val="150" /><sval type="int" val="10" /><sval type="int" val="4" /><sval type="int" val="1500" /><sval type="int" val="4" /><sval type="int" val="211" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="65547" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="9" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /></sval><sval type="array" size="16"><sval type="int" val="150" /><sval type="int" val="10" /><sval type="int" val="4" /><sval type="int" val="1500" /><sval type="int" val="4" /><sval type="int" val="213" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="131075" /><sval type="int" val="65547" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="9" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="404" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="9" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval></sval><sval type="array" size="4"><sval type="array" size="2"><sval type="int" val="13" /><sval type="string" val="ware" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="string" val="amount" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="string" val="Price" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="string" val="Logging" /></sval></sval><sval type="array" size="8"><sval type="array" size="2"><sval type="int" val="7" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="18" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="26" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="28" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="28" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="36" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="36" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="37" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
